Subject: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix should be cherry-picked

From: Robert Pluim <[email-masked]>
Date: Thu, 29 Nov 2018 14:19:56 +0100

Ari Roponen <[email-masked]> writes:

> Dmitry Gutov <[email-masked]> writes:
>
>> On 22.11.2018 14:19, Ari Roponen wrote:
>>
>>> That seems to be it: Starting Emacs with
>>>    GDK_SCALE=2 emacs -Q
>>> shows the problem here, too.
>>
>> Thanks for that. I've just tried a --with-cairo build with
>>
>>     GDK_SCALE=1 emacs
>>
>> and it seems to work well, (even) without your extra patch. Aside from
>> the expected problems with toolbar icons and scrollbar (too small),
>> which I don't use anyway.
>
> With the following patch, GDK_SCALE=2 seems to work for me.
>

Works for me. Since this is all Cairo-only code, it could even go into
emacs-26, I think (with a ChangeLog and perhaps some comments).

Robert